Oracle 9i en Windows 64 bits – AMD64/EM64T

Posted by Paola Pullas | Posted in Base de Datos, Oracle, Software Libre, Tips, Unix/Linux | Posted on 31-01-2009

Tags: , , , , , ,

1

microsoftlinux

Para los que no sabían les dejo un dato de la certificación de Oracle sobre Windows de 64 bits para procesadores AMD64 y EM64T:

Oracle Database 11g (11.1) Release 1 Supported Windows Operating Systems
32-bit Database Server and Client 32-bit Windows
32-bit Client 64-bit Windows x64
64-bit Database Server and Client 64-bit Windows x64
Oracle Database 10g (10.2) Release 2 Supported Windows Operating Systems
32-bit Database Server and Client 32-bit Windows
32-bit Client 64-bit Windows x64
64-bit Database Server and Client 64-bit Windows x64
Oracle Database 10g (10.1) Release 1 Supported Windows Operating Systems
32-bit Database Server and Client 32-bit Windows
32-bit Database Client 64-bit Windows x64
Oracle Database 9i (9.2) Release 2 Supported Windows Operating Systems
32-bit Database Server and Client 32-bit Windows
32-bit Database Client 64-bit Windows x64

Como pueden observar en la tabla no existe una versión de Oracle 9i o 10g Release 1 que pueda ser instalada en Microsoft Windows de 64 bits para procesadores AMD64/EM64T, Oracle recién certificó este tipo de instalación a partir de 10g Release 2 y por supuesto la nueva versión Oracle 11g Release 1 está completamente certificada.

A pesar de estas malas noticias Oracle fue el primer proveedor de base de datos en certificar su solución para Microsoft Windows de 64 bits con Oracle 9i Release 2, pero para plataformas Itanium en Diciembre del 2000.

Para los que estén en este dilema al momento pues los invito a probar Oracle 9i Release 2 para 64 bits en procesadores AMD64/EM64T utilizando Linux, en este caso, no existe el problema que se presenta en Microsoft Windows y es posible instalar Oracle en: Asianux 2.0, Oracle Enterprise Linux 4, Red Hat Enterprise Linux AS/ES 3 y 4 y Suse Linux 8 y 9.

Vía: Oracle Technology Network
Autor: Paola Pullas

Vmware Server Console – Error

Posted by Paola Pullas | Posted in Refundation, Software Libre, Tips, Unix/Linux, VMware | Posted on 07-05-2008

1

Estoy instalando el Vmware Server Console en Ubuntu 8.04 y me arroja el siguiente error:

/usr/lib/vmware-server-console/bin/vmware-server-console: /usr/lib/vmware-server-console/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_3.4′ not found (required by /usr/lib/libcairo.so.2)
/usr/lib/vmware-server-console/bin/vmware-server-console: /usr/lib/vmware-server-console/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0′ not found (required by /usr/lib/libstdc++.so.6)
/usr/lib/vmware-server-console/bin/vmware-server-console: /usr/lib/vmware-server-console/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_3.4′ not found (required by /usr/lib/libcairo.so.2)
/usr/lib/vmware-server-console/bin/vmware-server-console: /usr/lib/vmware-server-console/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0′ not found (required by /usr/lib/libstdc++.so.6)
/usr/lib/vmware-server-console/bin/vmware-server-console: /usr/lib/vmware-server-console/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_3.4′ not found (required by /usr/lib/libcairo.so.2)
/usr/lib/vmware-server-console/bin/vmware-server-console: /usr/lib/vmware-server-console/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0′ not found (required by /usr/lib/libstdc++.so.6)

¿La solución?
Esto típicamente ocurre cuando encuentra en el sistema operativo una librería de versión superior, por lo tanto hacemos lo siguiente:

mv /usr/lib/vmware-server-console/lib/libgcc_s.so.1/libgcc_s.so.1 /usr/lib/vmware-server-console/lib/libgcc_s.so.1/libgcc_s.so.1.bck

Y listo si ahora intentamos levantar vmware server cosole debería funcionar.

Autor: Paola Pullas

Gmail como tu cliente mail por defecto en Ubuntu

Posted by Paola Pullas | Posted in Google, Pasatiempo, Software Libre, Unix/Linux | Posted on 14-05-2007

0

Vía How to Geek encuentro las instrucciones para setear a Gmail como cliente de correo electrónico por defecto en Ubuntu. Yo ya lo tengo configurado porque era realmente molestoso que para aquellas páginas en donde se encuentra el link Contáctenos se habra cualquier otro cliente de correo que finalmente yo no uso ya que todas mis cuentas, ya sea de la oficina o personales las tengo en Google.

Los pasos son muy sencillos, lo primero que hay que hacer es ir a la siguiente ruta en tu Ubuntu System –> Preferences –> Preferred Applications, ahí encontrarás una sección que dice Mail Reader en la parte inferior, en la lista desplegable tienes que colocar la opción Custom y en la sección donde dice Command debes colocar la isiguiente línea: /home/usuario/openmail.sh en (la carpeta usuario es el nombre de usuario de tu laptop ej.: paola

A continuación les dejo la pantalla de como debería quedar:

Preferred Applications

Una vez hecho esto es necesario que generes un script que se llame openmail.sh el cual debes ubicar en la carpeta /home/usuario. El contenido del script debe ser el siguiente:

#!/bin/sh
firefox https://mail.google.com/mail?view=cm&tf=0&to=`echo $1 | sed ‘s/mailto://’`

Ahora, si quieres que Gmail se habra en un nuevo tab en tu navegador el script deberá contener lo siguiente:

#!/bin/sh
firefox -remote “openurl(https://mail.google.com/mail?view=cm&tf=0&to=`echo $1 | sed ‘s/mailto://’`,new-tab)”

Aclaración: ‘s/mailto://’ está encerrado en comillas simples, asegúrate de esto, caso contrario puede pasar que no pase la variable al Gmail.

Con esto ya estás listo, no te olvides de que el script pueda ser ejecutado para lo cual debes dar los permisos adecuados:

cd /home/usuario
chmod u+x ~/open_mailto.sh

Luego solo queda hacer la prueba, puedes probar haciendo click aquí. En mi caso funciona perfectamente.

Vía: How to Geek

Linux no es tan estándar como quisiéramos …

Posted by Paola Pullas | Posted in Base de Datos, Unix/Linux | Posted on 06-05-2007

10

Haber que les parece…

Estoy navegando en el internet y me envían este link para que lo lea y a mi me asaltaron muchas inquietudes no solo por el lado de Oracle sino también por el lado de Linux, así que los invito a comentar porque en el link que les dejé los comentarios están cerrados.

“…hay que probar que Visual Studio en el front-end habla a través de un servidor de aplicaciones Java con una base de datos Oracle. Insisto en que he hecho todo esto en Windows varias veces, y que conceptualmente da lo mismo que la base de datos o el servidor de aplicaciones estén o no en el mismo sistema operativo, pero el cliente quiere verlo con Java en una máquina Unix y Oracle en *otra* máquina Unix…”

No solo que “conceptualmente” funciona, realmente o en la práctica funciona la mayor parte de clientes que yo tengo usa Unix o Linux como sistema operativo para su plataforma tecnológica (base de datos, servidores de aplicaciones, etc.) y perfectamente los componentes pueden interactuar con el front-end sea este incluso Visual Studio.

“…Como soy medio amigo de lo exótico, bajo Asianux y lo instalo, largo y no complicado hasta el último paso: Asianux no arranca en modo gráfico así que me toca pelear con el prompt de bash pero igual no sirve porque el instalador de Oracle me exige una X Terminal (facilito el mundo Linux ¿no?)…”

Bueno primero que nada es mejor leer las guías de instalación de Oracle para no tener que hacer doble trabajo y maromas es muy claro que desde hace años Oracle tiene políticas claras de que sistemas operativos soporta, además en la misma guía podrás encontrar claramente que Oracle necesita un X server para poder ser instalado, esto es, sin modo gráfico no se puede, para que tratar de inventar el agua tibia, ahora, si uno quiere complicarse la vida bien puede instalar Oracle en Centos, White Box, Debian, etc. (un reto no?, nada complicado no?) pero en sistemas que van a estar en producción no merece la pena porque luego no tendrán el soporte de Metalink que cuesta el 22% del valor total de las licencias.
Links ayuda para que sus instalaciones de Oracle bajo Linux sean rápidas:
http://www.puschitz.com/
http://download-east.oracle.com/docs/cd/B19306_01/install.102/b15660/toc.htm

“…Con santa paciencia instalo Red Hat 4, igualmente largo y todo va bien pero cuando la máquina virtual ya está lista, revienta al arrancar. Esto podría ser un problema de Virtual PC o del Red Hat….”

Yo creo más bien que el problema es del Virtual PC, hace algún tiempo me pasó lo mismo en un centro de capacitación Microsoft, así que nos descargamos VMWare y todo funcionó a la perfección.

“…Linux no es tan estándar como quisiéramos hay sutiles (y fastidiosas) diferencias entre los servidores…”

Yo me atrevería a decir que el problema ahí fue el Microsoft Windows y el famoso Virtual PC no Linux, es más Linux es mucho más estándar que Microsoft Windows, todas las distribuciones sea Red Hat, Suse o Asianux que se usaron para la prueba son estándares en su kernel lo que cambia como yo diría es el look and feel, de resto para mí siempre ha sido lo mismo y te lo digo porque llevo más de 7 años instalando Oracle.

La mejor solución para no pasar malas noches es Linux yo en menos de 6 horas hubiera tenido funcionando todo pero con las siguientes herramientas:
Sistema Operativo: Ubuntu (Yo uso 6.06 (si ya se está como vieja!!) pero ahora tenemos la 7.04)
Sistema de Virtualización: VMware
Sistema Operativo a Virtualizar: Red Hat Enterprise Linux 4.0
Base de Datos: Oracle Database 10g

No se que opinan los demás?

Author: Paola Pullas

Internet Explorer sobre Ubuntu 6.06 LTS

Posted by Paola Pullas | Posted in Unix/Linux | Posted on 19-04-2007

2

Internet Explorer over Ubuntu

Y bueno por esas cosas de la vida me veo obligada a instalar el Internet Explorer 6.0 sobre mi Ubuntu 6.06 LTS para correr una aplicacioncita que no va bien con Firefox ni Opera, por lo que a continuación les dejo los pasos que seguí para hechar esto a andar.

Lo primero es instalar en el equipo Wine que es una implementación Open Source del API de Windows en Unix, para esto se debe añadir en el source.list el repositorio para Wine. A continuación coloco las instrucciones, nada más no olvides guardar el archivo source.list con los cambios efectuados:

sudo vi /etc/apt/sources.list

# Repositorio para Wine
deb http://wine.budgetdedicated.com/apt dapper main
deb-src http://wine.budgetdedicated.com/apt dapper main

Una vez hecho esto es necesario actualizar las cabeceras e instalar el producto tal como se muestra a continuación:

sudo apt-get update
sudo apt-get install wine

Ahora toca instalar el cabextract con la siguiente instrucción:

sudo apt-get install cabextract

Una vez instalado cabextract debes descargar el paquete de Internet Explorer del siguiente link y descomprimirlo en una ruta del sistema operativo:

http://www.tatanka.com.br/ies4linux/downloads/ies4linux-2.0.tar.gz
tar -xvzf ies4linux-2.0.tar.gz

Si no deseas descargar y descomprimir el archivo en dos pasos podrías hacer ambas cosas usando el siguiente comando:

wget http://www.tatanka.com.br/ies4linux/downloads/ies4linux-2.0.tar.gz -O – | tar xvzf –

Al descomprimirse el archivo que descargas se va generar una carpeta con el nombre ies4linux-2.0 dentro de la cual vas a encontrar un archivo ies4linux el cual tienes que correr para instalar el producto tomando en cuenta que vienen las versiones 6.0, 5.5. y 5.0 de Internet Explorer, por lo que deberás instalar las que desees lo cual se te preguntará durante la instalación:

cd ies4linux-2.0
sh ies4linux

Autor: Paola Pullas

Historial de comandos en SQL*Plus

Posted by Paola Pullas | Posted in Unix/Linux | Posted on 11-04-2007

2

Este post nace porque recientemente en uno de mis “famosos” cursos de base de datos Oracle en Ecuador los laboratorios los habíamos configurado sin ningún utilitario para guardar un historial de los comandos de SQL*Plus, pues resulta que esto es molestoso porque en Unix/Linux no se guarda dicho historial y si uno quiere volver a utilizar un comando simplemente toca volver a digitar toda la sentencia, es por esto que dedico este post a todos los estudiantes que tomaron cursos en mi empresa durante los meses de Febrero – Marzo.

Para que esto no le suceda me he topado en la web con un utilitario que se llama rlwrap.

Según la definición en la página web el rlwrap es textualmente(prefiero ponerlo en inglés para no presentar una traducción que pueda resultar errada):
“rlwrap is a ‘readline wrapper’ that uses the GNU readline library to allow the editing of keyboard input for any other command. Input history is remembered across invocations, separately for each command; history completion and search work as in bash and completion word lists can be specified on the command line.”

Si desea descargarlo puede hacer click aquí en donde encontrará la versión 0.28, adicionalmente, podrá encontrar el manpage y el README donde se explica el procedimiento para realizar la instalación.

Una vez descargado el utilitario y después de haberlo desempaquetado debe conectarse como usuario root en su sistema operativo y digitar lo siguiente en la carpeta donde esté el contenido extraído:
$ ./configure
$ make
$ make check
$ make install

Y bueno, eso es todo, para probarlo se podría llamar a SQL*Plus de la siguiente manera:

$ rlwrap sqlplus usuario/password@sid

Luego lo que puede hacer para evitarse llamarlo siempre anteponiendo el rlwrap es ir a la carpeta bin en el $ORACLE_HOME y renombrar el utilitario sqlplus como sqlplus_orig de la siguiente manera:
$ cd $ORACLE_HOME/bin
$ mv sqlplus sqlplus_orig

Una vez renombrado el utilitario deberá crear un archivo que se llame sqlplus que contenga la llamada al utilitario renombrado:
rlwrap sqlplus

Con esto ya podrá llamar a su utilitario SQL*Plus de la manera tradicional.

Update: Para evitar problemas en un ambiente de producción como consecuencia de renombrar sqlplus una mejor práctica recomendada por Laurent Schneider es utilizar un alias:
alias sqlp=’rlwrap sqlplus’

Esto debería ser colocado en el profile del usuario oracle


Autor:
Paola Pullas